Name:           python-c8y-api
Version:        3.0.0
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        Python microservice and application client for the Cumulocity REST API

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://github.com/SoftwareAG/cumulocity-python-api
Source:         %{pypi_source c8y_api}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'c8y-api' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-c8y-api
Summary:        %{summary}

%description -n python3-c8y-api %_description


%prep
%autosetup -p1 -n c8y_api-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-c8y-api -f %{pyproject_files}


%changelog
%autochangelog